Bug 1836092 - openstack UPI CI: install jq to simplify setup scripts
Summary: openstack UPI CI: install jq to simplify setup scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.z
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On: 1827667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-15 06:57 UTC by OpenShift BugZilla Robot
Modified: 2020-06-02 11:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-02 11:18:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3607 None closed Bug 1836092: openstack: Add jq to the CI image 2020-11-02 06:53:40 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:19:09 UTC

Comment 1 Pierre Prinetti 2020-05-15 07:46:51 UTC
We currently parse JSON configurations with awk, which is brittle and hard to maintain.
Having jq in the CI Dockerfile would help write the UPI CI script.

This change does not impact the product, as it only targets a piece of the CI infrastructure.

Comment 7 errata-xmlrpc 2020-06-02 11:18:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.